/* TroiaPreview
 * version 0.2 date 2004-09-01
 * Copyright (C) 2003-2004 1stein <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#ifndef INC_Textures
#define INC_Textures

//public constants
#define BackTexSizeX 256 //size of a background texture
#define BackTexSizeY 256
#define BackTexCntX 4 //number of background textures
#define BackTexCntY 3
#define BackTexCnt (BackTexCntX * BackTexCntY)
#define BackTexFirstNo 1 //number of first background-texture
#define ConsoleTexNo (BackTexFirstNo + BackTexCnt) //number of console texture
#define PixTexSizeX 64 //size of a pixel texture
#define PixTexSizeY 64
#define PixTexNo (ConsoleTexNo + 1) //number of pixel texture

//load texture TexNo from image-data
void LoadTexture( unsigned char * pData, long SizeX, long SizeY, long TexNo );

//unload texture TexNo
void UnloadTexture( long TexNo );

//load texture from bmp-file
bool LoadTexBmp( char * FileName, long TexNo, long TexSizeX, long TexSizeY );

//load texture from jpg-file
bool LoadTexJpg( char * FileName, long TexNo, long TexSizeX, long TexSizeY  );

//load texture from bmp-file in pieces
bool LoadTexBmpPieces( char * FileName, long TexFirstNo, long TexCntX, long TexCntY, long TexSizeX, long TexSizeY );

//load texture from jpg-file in pieces
bool LoadTexJpgPieces( char * FileName, long TexFirstNo, long TexCntX, long TexCntY, long TexSizeX, long TexSizeY );

#endif //#ifndef INC_Textures